@import url('https://fonts.googleapis.com/css2?family=Bytesized&family=Tiny5&family=VT323&display=swap');

body {
    background-image: url("images/stars.gif");
    background-attachment: fixed;
    background-size: 50%;
    font-family: "VT323";
    /*
    animation: flicker 0.01s linear infinite;
    */
}

::selection {
  background-color: #e84fff;
  color: black;
}

.eg::selection {
  background-color: #0f00ff;
}

a:hover.eg {
  background-color: #0000ff; 
}

.scanlines {
    margin: 0px;
    position: fixed;
    top: 0px;
    left: 0px;
    height: 100vh;
    width: 100vw;
    z-index: 0;
    /*
    animation: flicker 0.01s linear infinite;
    */
    pointer-events: none;
    user-select: none;
}

.black {
    margin: 0px;
    position: fixed;
    height: 100vh;
    width: 100vw;
    z-index: 1;
    animation: slide 2s ease-in-out 1;
    pointer-events: none;
    user-select: none;
}




@keyframes flicker {
    0% {
        transform:
            scale(1.1),
            translateY(20px);
        top: 20px;
    }
    50% {
        background-position: 20px -20px;
        transform:
            scale(1.1),
            translateY(-20px);
        top: -20px;
    }
    100% {
        background-position: -20px 20px;
        transform:
            scale(1.1),
            translateY(20px);
        top: 20px;
    }
}

@keyframes slide {
    0% {
        transform: translateY(0vh);
    }
    100% {
        transform: translateY(100vh);
    }
}



p {
    color: white;
    font-size: 30px;
    margin-left: 40px;
    text-indent: -25px;
    text-align: center;
    animation: appear1 0.01s linear 1.5s both;
}

.normalfont {
    font-family: sans-serif;
}

.smaller {
    letter-spacing: -1px;
}

.trans {
    opacity: 0.5;
}

.invisible {
    opacity: 0;
}

.green {
    color: green;
}

.left {
    float: left;
}

.right {
    float: right;
    margin-right: 30px;
}

.eg {
    font-family: "Comic Sans MS";
    font-size: 22px;
    font-weight: bold;
    color: #0000ff;
}

.skye {
    color: red;
    font-family: georgia;
}

.grayscale {
    filter: grayscale(100%);
}

.backwards {
    display: inline-block;
    transform: scaleX(-1);
}

h1 {
    background-color: #e84fff;
    color: black;
    font-family: "Tiny5";
    font-size: 30px;
    text-align: center;
    font-weight: bold;
    margin-top: 40px;
    margin-left: 20px;
    margin-right: 20px;
    opacity: 0;
    animation: appear1 0.01s linear 0.5s both;
}

h1 a {
    color: inherit;
}

h1 a:hover {
    color: inherit;
    background-color: inherit;
}

h2 {
    background-color: #e84fff;
    color: black;
    font-family: "Tiny5";
    font-size: 30px;
    text-align: center;
    font-weight: bold;
    margin-top: 20px;
    margin-left: 20px;
    margin-right: 20px;
    opacity: 0;
    animation: appear1 0.01s linear 0.5s both;
}

h2 a {
    color: inherit;
}

h2 a:hover {
    color: inherit;
    background-color: inherit;
}

h3 {
    color: #e84fff;
    font-family: "Tiny5";
    font-size: 25px;
    text-align: center;
    font-weight: bold;
    margin-top: 0px;
    margin-bottom: 0px;
    margin-left: 20px;
    margin-right: 20px;
    opacity: 0;
    animation: appear1 0.01s linear 0.5s both;
}

h3 a:hover {
    color: black;
    background-color: #ffbe45 !important;
}

h4 {
    color: #e84fff;
    font-family: "Bytesized";
    font-size: 20px;
    text-align: center;
    font-weight: bold;
    margin: 0;
    opacity: 0;
    animation: appear1 0.01s linear 0.5s both;
}

@keyframes appear1 {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}

a {
    color: #ffbe45;
    text-decoration: none;
    font-size: 30px;
    text-align: center;
    padding: 0 5px;
    animation: appear1 0.01s linear 1.5s both;
}

a:hover {
    color: black;
    background-color: #ffbe45;
}

a:active {
    background-color: #e84fff;
}

a span {
    display: none;
}

a:hover span {
    display: inline;
}

.credit {
    color: lightblue;
    margin: 0px;
}

.credit:hover {
    background-color: lightblue;
}

.youtube {
    color: #ff0302;
}

.youtube:hover {
    background-color: #ff0302;
}

.spotify {
    color: #0ed762;
}

.spotify:hover {
    background-color: #0ed762;
}

.applemusic {
    color: #fa5b74;
}

.applemusic:hover {
    background-color: #fa5b74;
}

.amazonmusic {
    color: #25d2d9;
}

.amazonmusic:hover {
    background-color: #25d2d9;
}

.bandcamp {
    color: #1da0c3;
}

.bandcamp:hover {
    background-color: #1da0c3;
}

.reddit {
    color: #ff4500;
}

.reddit:hover {
    background-color: #ff4500;
}

.tumblr {
    color: #0055b5;
}

.tumblr:hover {
    background-color: #0055b5;
}

.discord {
    color: #5366f4;
}

.discord:hover {
    background-color: #5366f4;
}

.purple {
    color: #e84fff;
}

.purple:hover {
    background-color: #e84fff;
}

hr {
    border: 1px solid #e84fff;
    margin: 40px 20px 40px 20px;
    animation: appear1 0.01s linear 1s both;
}

.content {
    display: grid;
}

.box {
    background-color: rgba(0, 0, 0, 0.5);
    margin: 20px;
    padding-bottom: 20px;
    float: left;
    animation: appear1 0.01s linear 1s both;
}

.box a, .box p {
    text-align: left;
    margin-left: 20px;
    padding: 0 5px;
    display: inline;
}

.imgbox {
    margin: 20px;
    padding-bottom: 20px;
    float: left;
}

.imgbox img {
    width: 100%;
    animation: appear1 0.01s linear 1.5s both;
}

.imgbox a {
    margin-left: 0;
}

.imgbox a:hover {
    background: none;
}

.blankbox {
    margin: 0 20px;
    float: left;
}

.blankbox img {
    width: 100%;
    animation: appear1 0.01s linear 1.5s both;
}

.blankbox a {
    margin-left: 0;
    display: block;
}

.blankbox a:hover {
    background: none;
}
